This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 449367 - Review Request: tuxcmd - File manager with 2 panels side by side using GTK2
Review Request: tuxcmd - File manager with 2 panels side by side using GTK2
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 09:39 EDT by Tomáš Bžatek
Modified: 2015-03-03 17:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 04:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomáš Bžatek 2008-06-02 09:39:44 EDT
Spec URL: http://fedorapeople.org/~tbzatek/tuxcmd/tuxcmd.spec
SRPM URL: http://fedorapeople.org/~tbzatek/tuxcmd/tuxcmd-0.6.36-1.fc10.src.rpm

Description:
Tux Commander is open-source file manager with 2 panels side by side written
for GTK2. The main goal of this project is to create powerful user-friendly
file manager for Linux. Some functions are inspired by famous Total Commander.
This project was started due to lack of quality mc-like file manager for X.

Some notes:
 - application uses FreePascal compiler (package 'fpc')
 - target architectures are restricted to i386 and x86_64, it's upstream restriction
Comment 2 Matěj Cepl 2008-06-02 10:01:08 EDT
> This project was started due to lack of quality mc-like file manager for X.
This is BS -- try krusader.
Comment 3 Dan Horák 2008-06-02 11:52:12 EDT
Format review:

OK	source files match upstream:
	    4eb4cb6b033b68bfc86dc21fabdead8255118683  tuxcmd-0.6.36.tar.bz2
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent (W: executable-stack is an issue of fpc).
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app, desktop file is installed

This package is APPROVED.
Comment 4 Tomáš Bžatek 2008-06-02 12:14:17 EDT
New Package CVS Request
=======================
Package Name: tuxcmd
Short Description: GTK2 file manager with 2 panels side by side
Owners: tbzatek
Branches: devel
InitialCC: tbzatek
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-06-02 15:10:27 EDT
cvs done.
Comment 6 Tomáš Bžatek 2008-06-03 04:41:21 EDT
Package imported to cvs and built successfully. 
Thanks for the cooperation.

Closing.

Note You need to log in before you can comment on or make changes to this bug.